local path = ('__TronLegacy-LightCycle__')

data:extend{
  {
    type = 'technology',
    name = 'tron-lightcycle',
    icon_size = 256,
    icon = path .. '/graphics/icons/tron256.png',
    effects = {
        { type = 'unlock-recipe', recipe = 'tron-lightcycle' },
        { type = 'unlock-recipe', recipe = 'encom-laser-cell' },
        { type = 'unlock-recipe', recipe = 'encom-cell-recharge' },
        { type = 'unlock-recipe', recipe = 'encom-energy-cell' },
    },
    prerequisites = {
        'automobilism', 
        'military', 
        'chemical-science-pack', 
        'electric-engine', 
        'laser-turret',
    },
    unit = {
        count = 200, 
        ingredients = {
            { 'automation-science-pack', 1 },
            { 'logistic-science-pack', 1 },
            { 'military-science-pack', 1 },
            { 'chemical-science-pack', 1 },
            { 'utility-science-pack', 1 }, 
        },
        time = 60, 
    },
    order = 'a-j-b'
  },

  {
    type = 'technology',
    name = 'encom-cell-conversion',
    icon_size = 256,
    icon = path .. '/graphics/icons/encomcell256.png',
    effects = {
        { type = 'unlock-recipe', recipe = 'encom-cell-conversion' },        
        { type = 'unlock-recipe', recipe = 'deconstruct-encom-cell' },
    },
    prerequisites = {
        'tron-lightcycle',
        'battery-mk2-equipment',
    },
    unit = {
        count = 200, 
        ingredients = {
            { 'automation-science-pack', 1 },
            { 'logistic-science-pack', 1 },
            { 'military-science-pack', 1 },
            { 'chemical-science-pack', 1 },
            { 'utility-science-pack', 1 }, 
        },
        time = 60, 
    },
    order = 'a-j-b'
  },

}
